List activation connect links Public Preview
This endpoint returns details for all active and expired activation Connect Links. Read more on how to use Connect Links in our Activations in Powered by Fivetran How-to Guides.
Request schema
Query parameters
Designates which page of results to return. Always starts at 1. If 0 is specified, it defaults to 1.
Determines the number of results on each page. It can't exceed 100.
Organizes the results based on their creation time, either ascending or descending.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /api/v2/activation_connect_links?page=SOME_NUMBER_VALUE&per_page=SOME_NUMBER_VALUE&order=SOME_STRING_VALUE HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Host: app.getcensus.com
Responses
200
The outcome of the request
An object to help you navigate the list of results.
Total records in the collection.
Records on each page.
The previous page number, or null for the first page.
The current page number.
The next page number, or null if it's the last page.
The number of the last page with records.
The list of results.
The unique ID associated with the Connect Link.
The type of activation to be managed by this link.
The date and time when the Connect Link will expire.
A boolean value indicating whether the Connect Link has expired or not.
A boolean value indicating whether the Connect Link has been revoked or not.
The authorization URL that you will provide to end-users that begins the Fivetran-hosted flow to authorize an activation into your workspace.
The redirect URI, if any, associated with the Connect Link. The URL that you'd like the end-user to be redirected to after authorizing the activation. We do not forward the OAuth code or token to this URL.
The unique identifier of the group associated with this Connect Link.
401
HTTP status code.
{ "status": "success", "pagination": { "total_records": 14, "per_page": 25, "prev_page": 1, "page": 2, "next_page": 3, "last_page": 10 }, "data": [ { "id": 469, "type": "hubspot", "expiration": "2027-09-28T23:42:47.239Z", "expired": false, "revoked": false, "uri": "https://app.fivetran.com/pbc?auth=expiring_auth_key", "redirect_uri": "https://your-app.example.com/oauth/callback", "group_id": "wandering_aimlessly" } ] }